;*******************************************************************************
;*** Projektspezifische Konstanten                                           ***
;*******************************************************************************

;VIC Speicherbereiche
SCREENRAMADR        = $0400         ;Beginn des Bildschirmspeichers
COLORRAMADR         = $d800         ;Beginn des Farbspeichers
SPRITEPOINTER0      = SCREENRAMADR+1024-8 ;Hier den 64-Byte-Block für die 
                                    ;Adresse der Sprite-0-Daten ablegen

;Zeropage                                    
ZP_SCREENRAMADR     = $02           ;Zeichen-Quelle fürs BS-Kopieren (drawscreen)
ZP_COLORRAMADR      = $04           ;Farb-Quelle fürs BS-Kopieren    (drawscreen)
ZP_SCREENTODRAW     = $06           ;Zeichen-Ziel fürs BS-Kopieren   (drawscreen)
ZP_COLORTODRAW      = $08           ;Farb-Ziel fürs BS-Kopieren      (drawscreen)
ZP_LOOPHELPER       = $f8           ;Die letzten 8 BYTES für Schleifen reservieren

;Eingabe
INPUT_NONE          = $00           ;noch KEIN Joystick gewählt
INPUT_JOY1          = $01           ;Joystick in Port-1
INPUT_JOY2          = $02           ;Joystick in Port-2
JOY_UP              = %00000001     ;Joystick rauf
JOY_DOWN            = %00000010     ;Joystick runter
JOY_LEFT            = %00000100     ;Joystick links
JOY_RIGHT           = %00001000     ;Joystick rechts
JOY_FIRE            = %00010000     ;Joystick FEUER!