;*******************************************************************************
;*** Bildschirm ausgeben, benötigt ungepackte Daten im Format:
;*** 1000 (40 * 25) Zeichen, direkt daran anschließend folgen die 1000 Farben
;*******************************************************************************
;*** Übergabe: X=LSB, Y=MSB der Zeichen
;*******************************************************************************
;*** Rückgabe: -
;*******************************************************************************
;*** ändert  : A, X, Y, SR
;*******************************************************************************
!zone drawScreen
drawScreen
 ;*** zuerst die StartAdresse der Zeichen auf der Zero-Page merken
 stx ZP_SCREENTODRAW
 sty ZP_SCREENTODRAW+1
 ;*** 1000 Bytes nach den Zeichen, kommen die Farbe, also addieren wir 1000
 txa
 clc
 adc #$e8
 sta ZP_COLORTODRAW
 tya
 adc #$03
 sta ZP_COLORTODRAW+1
 ;*** Da wir die Ziel-Adresse bei den STA-Befehlen in der Schleife verändern,
 ;*** hier das Ziel für die Zeichen neu setzen 
 lda #<SCREENRAMADR
 sta ZP_SCREENRAMADR
 lda #>SCREENRAMADR
 sta ZP_SCREENRAMADR+1
 ;*** und auch für die Farbe
 lda #<COLORRAMADR
 sta ZP_COLORRAMADR
 lda #>COLORRAMADR
 sta ZP_COLORRAMADR+1
 ldy #$00                           ;Y für den ersten Lauf auf null setzen!
 ;*** wir prüfen mit BPL, daher die Page-Schleife mit 3 beginnen
 ldx #$03
.pageLoop               
 bne .loop                          ;Auf der letzten Seite sind nur 240 Zeichen!
 lda (ZP_SCREENTODRAW),Y            ;Zeichen für Y=0 ausgeben!
 sta (ZP_SCREENRAMADR),Y
 lda (ZP_COLORTODRAW),Y             ;Farbe für Y=0 ausgeben!
 sta (ZP_COLORRAMADR),Y
 ldy #$ff-$18                       ;239 weitere Durchläufe für die letzte Page
.loop                
 lda (ZP_SCREENTODRAW),Y            ;Zeichen kopieren
 sta (ZP_SCREENRAMADR),Y
 lda (ZP_COLORTODRAW),Y             ;Farbe kopieren
 sta (ZP_COLORRAMADR),Y
 dey                                ;Kopier-Schleifenzähler verringern
 bne .loop                          ;solange > 0 weiter kopieren
 inc ZP_SCREENTODRAW+1              ;Page für Quelle und Ziel erhöhen
 inc ZP_SCREENRAMADR+1              ;dafür einfach nur das MSB an den
 inc ZP_COLORTODRAW+1               ;entsprechenden Zero-Page Adressen
 inc ZP_COLORRAMADR+1               ;um eins erhöhen
 dex                                ;Page-Schleifenzähler verringern
 bpl .pageLoop                      ;solange positiv, nächste Page
 rts                                ;zurück